org.apache.cassandra.cql3

## Class ColumnCondition

- java.lang.Object
- - org.apache.cassandra.cql3.ColumnCondition

    public class ColumnCondition
    extends java.lang.Object

A CQL3 condition.

### Nested Class Summary

Nested Classes
`static class` `ColumnCondition.Raw`

### Field Summary

Fields
`CFDefinition.Name` `column`

### Method Summary

Methods
`boolean` `appliesTo(ColumnNameBuilder rowPrefix, ColumnFamily current, long now)` Validates whether this condition applies to `current`.
`ColumnCondition` `attach(java.util.List<java.nio.ByteBuffer> variables)`
`void` `collectMarkerSpecification(VariableSpecifications boundNames)` Collects the column specification for the bind variables of this operation.
`static ColumnCondition` `equal(CFDefinition.Name column, Term value)`
`boolean` `equalsTo(ColumnCondition other)`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Field Detail

#### column

    public final CFDefinition.Name column

### Method Detail

#### equal

    public static ColumnCondition equal(CFDefinition.Name column,
                        Term value)

#### attach

    public ColumnCondition attach(java.util.List<java.nio.ByteBuffer> variables)

#### collectMarkerSpecification

    public void collectMarkerSpecification(VariableSpecifications boundNames)

Collects the column specification for the bind variables of this operation.

Parameters:
  `boundNames` - the list of column specification where to collect the bind variables of this term in.

#### equalsTo

    public boolean equalsTo(ColumnCondition other)
                     throws InvalidRequestException

Throws:
  `InvalidRequestException`

#### appliesTo

    public boolean appliesTo(ColumnNameBuilder rowPrefix,
                    ColumnFamily current,
                    long now)
                      throws InvalidRequestException

Validates whether this condition applies to `current`.

Throws:
  `InvalidRequestException`